Bug 157377 - [maintainer] databases/mysql-connector-java -- update to 5.1.16
[maintainer] databases/mysql-connector-java -- update to 5.1.16
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-28 10:40 UTC by m.seaman
Modified: 2011-05-31 04:20 UTC (History)
0 users

See Also:


Attachments
mysql-connector-java.diff (1.09 KB, patch)
2011-05-28 10:40 UTC, m.seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2011-05-28 10:40:08 UTC
Routine bug-fix update to version 5.1.16

From the CHANGELOG:

  - Partial fix for BUG#54135 - setQueryTimeout unsafe across VIP. Fix prevents c/J from 
    killing the right ConnectionID but on wrong server.

  - Fix for BUG#57808 - wasNull not set for DATE field with value 0000-00-00
        in getDate() although zeroDateTimeBehavior is convertToNull.

  - Fix for Bug#54425 - Bypassing the server protocol bug where DB should be null-terminated
    whether it exists or not. Affects COM_CHANGE_USER.
        
  - Fix for Bug#60313 (11890729), bug in 
    com.mysql.jdbc.ResultSetRow.getTimestampFast().

  - Fix for bug 11782297, DBMD.getTables (so thus getColumns too) fails with 
    table names containing dot (like "junk_[Sp:e,c/ C-h+a=.r]").
  
  - Added the ability to determine if the connection is against a server on the 
    same host via the Connection.isServerLocal() method.
    
  - Fix for bug 12325877, Setting "autoReconnect=true" and 
    "cacheServerConfiguration=true" would cause connections created after
    an existing connection fails to have non-existent values for server
    variables which lead to exceeding of max allowed packet exceptions when the
    new connections were used.
Comment 1 Martin Wilke freebsd_committer 2011-05-31 04:12:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter freebsd_committer 2011-05-31 04:12:17 UTC
miwi        2011-05-31 03:12:01 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql-connector-java Makefile distinfo 
  Log:
  - Update to 5.1.16
  
  PR:             157377
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.57      +1 -1      ports/databases/mysql-connector-java/Makefile
  1.35      +2 -2      ports/databases/mysql-connector-java/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"